## kcontrol-ldap-manager-trinity 14.0.4

=== debian/changelog ===
kcontrol-ldap-manager-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 13:15:32 +0200

kcontrol-ldap-manager-trinity (0.5-0ubuntu0) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 Jul 2009 16:08:00 -0600

## kcontrol-ldap-manager-trinity 14.0.9

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


cmake_minimum_required( VERSION 2.8 )


#### general package setup

project( kcmldapmanager )
set( VERSION R14.0.9 )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS    "Enable all optional support" OFF )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL          "Build all" ON )
option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )


##### user defined options #######

set( KDE_CONFDIR "/etc/trinity" CACHE STRING "Path for the config system" )
set( AVAILABLE_SHELLS /bin/bash /bin/sh /bin/dash /bin/rbash /usr/bin/screen CACHE STRING "Available shells" )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( src )
add_subdirectory( cmdline )
tde_conditional_add_subdirectory( BUILD_TRANSLATIONS translations )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

## kcontrol-ldap-manager-trinity 14.0.5

=== debian/changelog ===
kcontrol-ldap-manager-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 07:23:50 +0200

=== debian/control ===
Source: kcontrol-ldap-manager-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, tdelibs14-trinity-dev, libldap2-dev, libtdeldap-trinity-dev, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: kcontrol-ldap-manager-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, heimdal-clients
Recommends: tde-ldap-cert-updater
Description: Kerberos realm management module for the Trinity control center
 This is a Trinity control center module to manage users, groups, and machines in Kerberos realms.

## kcontrol-ldap-manager-trinity 14.0.6

=== debian/changelog ===
kcontrol-ldap-manager-trinity (4:14.0.6-0raspbian7.0.0+0) raspbian-wheezy; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 01:21:23 +0100

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,6 @@
 Package: kcontrol-ldap-manager-trinity
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, heimdal-clients
-Recommends: tde-ldap-cert-updater
+Recommends: tde-ldap-cert-updater, libsasl2-modules-gssapi-heimdal
 Description: Kerberos realm management module for the Trinity control center
  This is a Trinity control center module to manage users, groups, and machines in Kerberos realms.

## kcontrol-ldap-manager-trinity 14.0.8

=== debian/changelog ===
kcontrol-ldap-manager-trinity (4:14.0.8-0ubuntu12.04.0+0) precise; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 11 Apr 2020 01:07:11 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
-Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, tdelibs14-trinity-dev, libldap2-dev, libtdeldap-trinity-dev, automake, autoconf, libtool, libltdl-dev
+Build-Depends: debhelper (>= 9~), cdbs, quilt, cmake, tdelibs14-trinity-dev, libldap2-dev, libtdeldap-trinity-dev
 Standards-Version: 3.8.4
 
 Package: kcontrol-ldap-manager-trinity

## kcontrol-ldap-manager-trinity 14.0.9

=== debian/changelog ===
kcontrol-ldap-manager-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Oct 2020 11:04:28 +0200

## kcontrol-ldap-manager-trinity 14.0.10

=== debian/changelog ===
kcontrol-ldap-manager-trinity (4:14.0.10-0raspbian8.0.0+0) raspbian-jessie; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: kcontrol-ldap-manager-trinity
 Section: tde
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 Build-Depends: debhelper (>= 9~), cdbs, quilt, cmake, tdelibs14-trinity-dev, libldap2-dev, libtdeldap-trinity-dev
 Standards-Version: 3.8.4

## kcontrol-ldap-manager-trinity 14.0.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,13 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 2.8 )
+cmake_minimum_required( VERSION 2.8.12 )
 
 
 #### general package setup
 
 project( kcmldapmanager )
-set( VERSION R14.0.9 )
+set( VERSION R14.0.11 )
 
 
 #### include essential cmake modules
@@ -75,7 +75,11 @@
 
 add_subdirectory( src )
 add_subdirectory( cmdline )
-tde_conditional_add_subdirectory( BUILD_TRANSLATIONS translations )
+
+
+##### other data ################################
+
+tde_conditional_add_project_translations( BUILD_TRANSLATIONS )
 
 
 ##### write configure files

=== debian/changelog ===
kcontrol-ldap-manager-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#kcmldapmanager

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 19 Oct 2021 14:35:39 +0200

## kcontrol-ldap-manager-trinity 14.0.12

=== debian/changelog ===
kcontrol-ldap-manager-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#kcmldapmanager

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 31 Dec 2021 11:52:39 +0100

## kcontrol-ldap-manager-trinity 14.0.13

=== debian/changelog ===
kcontrol-ldap-manager-trinity (4:14.0.13-0ubuntu22.04.0+0) jammy; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#kcmldapmanager

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 26 Jun 2022 09:14:33 +0200

## kcontrol-ldap-manager-trinity 14.1.0

=== debian/changelog ===
kcontrol-ldap-manager-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#kcmldapmanager

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: debhelper (>= 9~), cdbs, quilt, cmake, tdelibs14-trinity-dev, libldap2-dev, libtdeldap-trinity-dev
+Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libldap2-dev, libtdeldap-trinity-dev
 Standards-Version: 3.8.4
 
 Package: kcontrol-ldap-manager-trinity

## kcontrol-ldap-manager-trinity 14.1.1

=== debian/changelog ===
kcontrol-ldap-manager-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#kcmldapmanager

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 24 Jul 2023 04:34:19 +0200

## kcontrol-ldap-manager-trinity 14.1.2

=== debian/changelog ===
kcontrol-ldap-manager-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#kcmldapmanager

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 22 Apr 2024 00:31:46 +0200

## kcontrol-ldap-manager-trinity 14.1.3

=== debian/changelog ===
kcontrol-ldap-manager-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#kcmldapmanager

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Jul 2024 15:10:11 +0200

## kcontrol-ldap-manager-trinity 14.1.4

=== debian/changelog ===
kcontrol-ldap-manager-trinity (4:14.1.4-0raspbian11.0.0+0) raspbian-bullseye; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#kcmldapmanager

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libldap2-dev, libtdeldap-trinity-dev
+Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libldap2-dev, libtdeldap-trinity-dev
 Standards-Version: 3.8.4
 
 Package: kcontrol-ldap-manager-trinity

## kcontrol-ldap-manager-trinity 14.1.5~pre0

=== debian/changelog ===
kcontrol-ldap-manager-trinity (4:14.1.5~pre0-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 0fcd26ab683d4787697f6650493baf6ba232396c
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kcmldapmanager

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kcontrol-ldap-manager-trinity 14.1.5~pre5

=== debian/changelog ===
kcontrol-ldap-manager-trinity (4:14.1.5~pre5-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for bd5bacfa1ec4bf99de03e0b885595db2cd855841
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kcmldapmanager

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 23 Oct 2025 23:34:40 +0200

## kcontrol-ldap-manager-trinity 14.1.5

=== debian/changelog ===
kcontrol-ldap-manager-trinity (4:14.1.5-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kcmldapmanager

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 23 Oct 2025 23:34:40 +0200

## kcontrol-ldap-manager-trinity 14.1.6~pre0

=== debian/changelog ===
kcontrol-ldap-manager-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for bd5bacfa1ec4bf99de03e0b885595db2cd855841
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kcmldapmanager

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 23 Oct 2025 23:34:40 +0200

## kcontrol-ldap-manager-trinity 14.1.6~pre1

=== debian/changelog ===
kcontrol-ldap-manager-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for be0c62f26c1c7cc324379b5b9a647db0fb4da4a2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kcmldapmanager

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:47:56 +0100

## kcontrol-ldap-manager-trinity 14.2.0~pre24

=== debian/changelog ===
kcontrol-ldap-manager-trinity (4:14.2.0~pre24-0ubuntu25.10.0+6) questing; urgency=low

  * Automated git build for 9a450e87a2c2bd19485e2fa29762261781159dbb
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kcmldapmanager

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## kcontrol-ldap-manager-trinity 14.2.0~pre29

=== cmdline/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}/tde
  ${KRB5_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### tdeldapmanager (executable)

tde_add_executable( tdeldapmanager AUTOMOC

  SOURCES
        main.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     ${TDELDAP_LIBRARIES}
     ${KRB5_LIBRARIES}

  DESTINATION ${BIN_INSTALL_DIR}
)

=== debian/changelog ===
kcontrol-ldap-manager-trinity (4:14.2.0~pre29-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 4dfb8531b45fd21e79fce05acfe4066259c2ecb7
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kcmldapmanager

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 23 Oct 2025 20:24:49 +0200

## kcontrol-ldap-manager-trinity 14.2.0~pre30

=== debian/changelog ===
kcontrol-ldap-manager-trinity (4:14.2.0~pre30-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 31204b54baf0cdc157152a171cfa4f82c266ea25
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kcmldapmanager

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 04:58:34 +0100
